Foros del Web » Programando para Internet » PHP »

./configure PHP

Estas en el tema de ./configure PHP en el foro de PHP en Foros del Web. Estimados amigos: en un servidor LINUX la primera vez que se instaló PHP5 no se consideró que se iba a utilizar PostgreSQL, por lo tanto ...
  #1 (permalink)  
Antiguo 25/05/2006, 13:15
Avatar de Ugho  
Fecha de Ingreso: noviembre-2002
Ubicación: Santiago, Chile
Mensajes: 487
Antigüedad: 15 años, 1 mes
Puntos: 0
./configure PHP

Estimados amigos:
en un servidor LINUX la primera vez que se instaló PHP5 no se consideró que se iba a utilizar PostgreSQL, por lo tanto no se incluyó en la linea de comando de configuracion el parametro:
--------------------------------
'--with-pgsql=/usr/local/pgsql'
--------------------------------
donde ahora se instaló la Base de datos PostgreSQL.
MIs preguntas son:

Necesito desinstalar e instalar nuevamente PHP5???
Existe otro metodo sin desintalar PHP5 para que reconozca PostgreSQL???
De antemano gracias...
__________________
________________________________________

Ugho.
  #2 (permalink)  
Antiguo 25/05/2006, 16:06
Avatar de mauled  
Fecha de Ingreso: marzo-2005
Ubicación: Cd. de México.
Mensajes: 3.001
Antigüedad: 12 años, 9 meses
Puntos: 33
De acuerdo

Echale un ojo a este link http://www.php.net/manual/en/ref.pgsql.php. No es necesario que desintales php para que funcione postgreSql.

Saludillos.
  #3 (permalink)  
Antiguo 25/05/2006, 16:54
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Que distribución de Linux usas?

En distribuciones como Fedora .. si instalastes PHP desde sus RPM's podrías usar un simple:

yum install php-pgsql

Eso instala la extensión para PHP para soporte PostgreSQL en tu distribución de LInux y para la versión exacta de PHP que uses. Tan sólo tendrás que reiniciar tu servidor HTTP para que veas la nueva extensión instalada (y que tendrás que comprobar haciendo un phpinfo() ...)

En otras distribuciones de Linux podrías usar "apt-get" (Debian .. ) de la misma forma (o equivalente) ...

De esta forma basandote en el sistema de "paquetes" de tu distribución de linux instalaras rápidamente una extensión para PHP y de paso si te hace falta algo más (alguna otra librería por ejemplo que tenga dependencia) se te indicará que es necesario y la podrás instalar.

Y lo bueno de todo esto es que al no tener que des-instalar PHP .. tampoco perderas tu configuración (php.ini y afines) que pudieras estar usando ya con algún ajuste "fino" que pudieras tener hecho.

Un saludo,
__________________
Por motivos personales ya no puedo estar con Uds. Fue grato haber compartido todos estos años. Igualmente los seguiré leyendo.
  #4 (permalink)  
Antiguo 26/05/2006, 15:43
Avatar de Ugho  
Fecha de Ingreso: noviembre-2002
Ubicación: Santiago, Chile
Mensajes: 487
Antigüedad: 15 años, 1 mes
Puntos: 0
muchisimas gracias amigos, que bueno que no voy a perder toda la instalacion y configuración anterior.
Tengo el Fedora Core 4 asi es que buscaré la version de la librería para mi linux.
Saludos
__________________
________________________________________

Ugho.
  #5 (permalink)  
Antiguo 26/05/2006, 16:39
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Cita:
Iniciado por Ugho
muchisimas gracias amigos, que bueno que no voy a perder toda la instalacion y configuración anterior.
Tengo el Fedora Core 4 asi es que buscaré la version de la librería para mi linux.
Saludos
Usa simplemente:

yum install php-pgsql

(aunque no vendría mal respaldar tu php.ini y hacer un:

yum install php php-pgsql php-gd y cuantas extensiones requieras ...

Un saludo,
__________________
Por motivos personales ya no puedo estar con Uds. Fue grato haber compartido todos estos años. Igualmente los seguiré leyendo.
  #6 (permalink)  
Antiguo 26/05/2006, 18:24
Avatar de edwinandlozano  
Fecha de Ingreso: octubre-2003
Mensajes: 272
Antigüedad: 14 años, 1 mes
Puntos: 0
Pregunta

Cita:
Iniciado por Cluster
Usa simplemente:

yum install php-pgsql

(aunque no vendría mal respaldar tu php.ini y hacer un:

yum install php php-pgsql php-gd y cuantas extensiones requieras ...

Un saludo,
Una pregunta... cuando es un paquete de una distribucion el problema se resuelve como indica Cluster.. pero que pasa cuando el php ha sido instalado desde fuentes ???? para esto se tendria que compilar de nuevo el php indicando el modulo que desea que soporte... o existe otra forma??
  #7 (permalink)  
Antiguo 27/05/2006, 15:08
 
Fecha de Ingreso: junio-2005
Mensajes: 981
Antigüedad: 12 años, 6 meses
Puntos: 2
Cita:
Iniciado por edwinandlozano
Una pregunta... cuando es un paquete de una distribucion el problema se resuelve como indica Cluster.. pero que pasa cuando el php ha sido instalado desde fuentes ???? para esto se tendria que compilar de nuevo el php indicando el modulo que desea que soporte... o existe otra forma??
Si no estoy muy equivocado (no hace mucho que ando metiendome en GNU/Linux) cuando vos instalas desde los repositorios esas cosas se hacen automaticamente, pero cuando instalas desde las fuentes (hasta donde entiendo) tendrías que volver a compilar todo para darle soporte nuevo.

Saludos.
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 21:17.